This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 50873 - pppd not logging WinNT4.0
pppd not logging WinNT4.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-04 01:13 EDT by Yoda
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 04:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yoda 2001-08-04 01:13:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.19 i686)

Description of problem:
users are not looged when dialing in if they are WinNT4.0.  All other users
ate logged
both into wtmp and /etc/ppp/auth_up

Usually PAM is called but not with WINNT4.0



How reproducible:
Always

Steps to Reproduce:
1. Set up Server as dial in machine
2. Dial up with NT4.0
3. go "last -10"  NTUser not found.
2a. Dial in with win9x
3a.  go "last -10"  win9x User found
	

Actual Results:  wwh      ttyQ1b11     ppp22            Sat Aug  4 15:07 -
15:07  (00:00)
bmartin  ttyQ1b4      ppp21            Sat Aug  4 15:05   still logged in
jelliott ttyQ1a14     ppp19            Sat Aug  4 15:05   still logged in
calibra  ttyQ1b10     ppp16            Sat Aug  4 15:02   still logged in

Expected Results:  NTUser	ttyQ1ax	  pppxx              Sat Aug  4 15:07 
still logged in
wwh      ttyQ1b11     ppp22            Sat Aug  4 15:07 - 15:07  (00:00)
bmartin  ttyQ1b4      ppp21            Sat Aug  4 15:05   still logged in
jelliott ttyQ1a14     ppp19            Sat Aug  4 15:05   still logged in
calibra  ttyQ1b10     ppp16            Sat Aug  4 15:02   still logged in

Additional info:

This allows NTUsers to log in without any logging.  If this is chargable
then the user
is not registered
Comment 1 Yoda 2001-08-08 07:09:38 EDT
This happens if WinNT is set to accept only encrypted authentication
Comment 2 Kjartan Maraas 2003-03-31 15:35:23 EST
Has this changed in later releases?
Comment 3 Mark J. Cox (Product Security) 2004-01-05 04:37:43 EST
closing, no response

Note You need to log in before you can comment on or make changes to this bug.